{% extends 'profile/ppbd/layouts/frontend/base.html' %}
{% load humanize %}
{% load static %}
{% block main %}
	
	<div role="main" class="main">

				<section class="page-header page-header-lg custom-bg-color-light-1 border-0 m-0">
					<div class="container position-relative pt-5 pb-4 mt-5">
						<div class="custom-circle custom-circle-wrapper custom-circle-big custom-circle-pos-1 custom-circle-pos-1-1 appear-animation" data-appear-animation="expandInWithBlur" data-appear-animation-delay="900" data-appear-animation-duration="2s">
							<div class="bg-color-tertiary rounded-circle w-100 h-100" data-plugin-float-element data-plugin-options="{'startPos': 'bottom', 'speed': 0.5, 'transition': true, 'transitionDuration': 1000}"></div>	
						</div>
						<div class="custom-circle custom-circle-medium custom-circle-pos-2 custom-circle-pos-2-2 appear-animation" data-appear-animation="expandInWithBlur" data-appear-animation-delay="1450" data-appear-animation-duration="2s">
							<div class="custom-bg-color-grey-2 rounded-circle w-100 h-100" data-plugin-float-element data-plugin-options="{'startPos': 'bottom', 'speed': 0.2, 'transition': true, 'transitionDuration': 2000}"></div>
						</div>
						<div class="custom-circle custom-circle-medium custom-circle-pos-3 custom-circle-pos-3-3 appear-animation" data-appear-animation="expandIn" data-appear-animation-delay="1300">
							<div class="custom-bg-color-grey-2 rounded-circle w-100 h-100" data-plugin-float-element data-plugin-options="{'startPos': 'bottom', 'speed': 0.3, 'transition': true, 'transitionDuration': 1000}"></div>
						</div>
						<div class="custom-circle custom-circle-small custom-circle-pos-4 custom-circle-pos-4-4 appear-animation" data-appear-animation="expandIn" data-appear-animation-delay="1600">
							<div class="custom-bg-color-grey-2 rounded-circle w-100 h-100" data-plugin-float-element data-plugin-options="{'startPos': 'bottom', 'speed': 0.6, 'transition': true, 'transitionDuration': 500}"></div>
						</div>
						<div class="custom-circle custom-circle-medium custom-circle-pos-5 custom-circle-pos-5-5 appear-animation" data-appear-animation="expandInWithBlur" data-appear-animation-delay="1050" data-appear-animation-duration="2s">
							<div class="bg-color-secondary rounded-circle w-100 h-100" data-plugin-float-element data-plugin-options="{'startPos': 'top', 'speed': 0.2, 'transition': true, 'transitionDuration': 2000}"></div>
						</div>
						<div class="custom-circle custom-circle-medium custom-circle-pos-6 custom-circle-pos-6-6 appear-animation" data-appear-animation="expandInWithBlur" data-appear-animation-delay="1200" data-appear-animation-duration="2s">
							<div class="custom-bg-color-grey-2 rounded-circle w-100 h-100" data-plugin-float-element data-plugin-options="{'startPos': 'bottom', 'speed': 0.8, 'transition': true, 'transitionDuration': 500}"></div>
						</div>
						<div class="row py-5 mb-5 mt-2 p-relative z-index-1">
							<div class="col">
								<div class="overflow-hidden">
									<ul class="breadcrumb d-block text-center appear-animation" data-appear-animation="maskUp" data-appear-animation-delay="800">
										<li><a href="{% url 'profile:ppbd_home' %}">Home</a></li>
										<li><a href="{% url 'profile:ppbd_berita' %}">Berita</a></li>
										<li class="active">Detail</li>
									</ul>
								</div>
								<div class="overflow-hidden mb-4">
									<h1 class="d-block text-color-quaternary font-weight-bold line-height-3 text-center mb-0 appear-animation" data-appear-animation="maskUp" data-appear-animation-delay="1000">Detail Berita PPDB</h1>
								</div>
							</div>
						</div>
					</div>
				</section>

				<section class="section bg-color-light position-relative border-0 pt-3 m-0">
					<svg class="custom-page-header-curved-top-1" width="100%" height="700" xmlns="http://www.w3.org/2000/svg">
						<path transform="rotate(-3.1329219341278076 1459.172607421877,783.5322875976566) " d="m-12.54488,445.11701c0,0 2.16796,-1.48437 6.92379,-3.91356c4.75584,-2.42918 12.09956,-5.80319 22.45107,-9.58247c20.70303,-7.55856 53.43725,-16.7382 101.56202,-23.22255c48.12477,-6.48434 111.6401,-10.27339 193.90533,-7.05074c41.13262,1.61132 88.20271,5.91306 140.3802,12.50726c230.96006,32.89734 314.60609,102.57281 635.26547,59.88645c320.65938,-42.68635 452.47762,-118.72154 843.58759,3.72964c391.10997,122.45118 553.23416,-82.15958 698.49814,-47.66481c-76.25064,69.23438 407.49874,281.32592 331.2481,350.5603c-168.91731,29.52009 85.02254,247.61162 -83.89478,277.13171c84.07062,348.27313 -2948.95065,-242.40222 -2928.39024,-287.84045" stroke-width="0" stroke="#000" fill="#FFF" id="svg_2"/>
					</svg>
					<div class="container">
						<div class="row">
							<div class="col-lg-9 appear-animation" data-appear-animation="fadeInUpShorter" data-appear-animation-delay="1600">

								<article>
									<div class="card border-02 border-radius-2 mb-1 box-shadow-1">
										<div class="card-body p-5 z-index-1">
											<h2 class="card-title"><b>{{news.title}}</b></h2>
											<p class="text-uppercase text-1 mb-3 text-color-default"><time pubdate datetime="2022-01-10">{{ news.created_at|date:"d M Y" }}</time> <span class="opacity-3 d-inline-block px-2">|</span> {{ news.seen }} Views <span class="opacity-3 d-inline-block px-2">|</span> {{ news.created_by.first_name }} {{ news.created_by.last_name }}</p>

											<div class="post-image pb-4">
												<img class="card-img-top border-radius-2" 
													src="{% if news.images %}{{news.thumbnail.url}}{% else %}{% static 'ppbd/img/logo/no-image.jpg' %}{% endif %}" alt="Card Image">
											</div>

											<div class="card-body p-0">
												{{ news.content  | safe }}
												<hr class="my-3">

												<div class="kotak-shared mt-0" style="float:left;">
													<span class="mr-3">Tags :</span>
													{% for tag in news.tags.all %}
						                            <a href="{% url 'profile:ppbd_tags' slug=tag.slug %}">
						                                <span class="badge badge-dark badge-sm rounded-pill text-uppercase px-2">#{{ tag.name }}</span>
						                            </a>{% endfor %}
												</div>

												<div class="kotak-shared mt-0" style="float:right;">
												  <span class="mr-3">Share :</span>
												  <span class="badge badge-dark badge-sm rounded-pill text-uppercase p-2">
												    <a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u={{domain}}{% url 'profile:ppbd_detail_berita' slug=news.slug %}" class="text-color-white">
												        <i class="fab fa-facebook-f"></i></a>
												  </span>
												  <span class="badge badge-dark badge-sm rounded-pill text-uppercase p-2">
												    <a target="_blank" href="https://twitter.com/share?url={{domain}}{% url 'profile:ppbd_detail_berita' slug=news.slug %}" class="text-color-white">
												        <i class="fab fa-twitter"></i></a>
												  </span>
												  <span class="badge badge-dark badge-sm rounded-pill text-uppercase p-2">
												    <a target="_blank" href="https://api.whatsapp.com/send?text={{domain}}{% url 'profile:ppbd_detail_berita' slug=news.slug %}" class="text-color-white">
												        <i class="fab fa-whatsapp"></i></a>
												  </span>
												</div>

											</div>
										</div>
									</div>
								</article>

							</div>

							<div class="col-lg-3 pt-4 pt-lg-0 appear-animation" data-appear-animation="fadeInUpShorter" 
								data-appear-animation-delay="1800">
								<aside class="sidebar">
									
									<div class="px-3 mt-4">
										<h3 class="text-color-quaternary text-capitalize font-weight-bold text-5 m-0 mb-3">Berita Terbaru</h3>
										<div class="pb-2 mb-1">
											{% if recentpost %}
											{% for dt in recentpost %}
											<span class="text-color-default text-uppercase text-1 mb-0 d-block text-decoration-none">{{ dt.created_at|date:"d M Y" }} <span class="opacity-3 d-inline-block px-2">|</span> {{ dt.seen }} Views <span class="opacity-3 d-inline-block px-2">|</span> {{ dt.created_by.first_name }} {{ dt.created_by.last_name }}</span>
											<a href="{% url 'profile:ppbd_detail_berita' slug=dt.slug %}" class="text-color-dark text-hover-primary font-weight-bold text-3 d-block pb-3 line-height-4">{{ dt.title }}</a>
											{% endfor %}
											{% else %}
											<span>Belum Ada Berita Terbaru</span>
											{% endif %}
										</div>
									</div>
									<div class="py-1 clearfix">
										<hr class="my-2">
									</div>
									<div class="px-3 mt-4">
										<h3 class="text-color-quaternary text-capitalize font-weight-bold text-5 m-0 mb-3">Berita Terfavorit</h3>
										<div class="pb-2 mb-1">
											{% if favorits %}
											{% for dt in favorits %}
											<span class="text-color-default text-uppercase text-1 mb-0 d-block text-decoration-none">{{ dt.created_at|date:"d M Y" }} <span class="opacity-3 d-inline-block px-2">|</span> {{ dt.seen }} Views <span class="opacity-3 d-inline-block px-2">|</span> {{ dt.created_by.first_name }} {{ dt.created_by.last_name }}</span>
											<a href="{% url 'profile:ppbd_detail_berita' slug=dt.slug %}" class="text-color-dark text-hover-primary font-weight-bold text-3 d-block pb-3 line-height-4">{{ dt.title }}</a>
											{% endfor %}
											{% else %}
											<span>Belum Ada Berita Terfavorit</span>
											{% endif %}
										</div>
									</div>
									<div class="py-1 clearfix">
										<hr class="my-2">
									</div>
									<div class="px-3 mt-4">
										<h3 class="text-color-quaternary text-capitalize font-weight-bold text-5 m-0">Tags</h3>
										<div class="mb-3 pb-1">
											{% if dt_tags %}
											{% for dt in dt_tags %}
											<a href="{% url 'profile:ppbd_tags' slug=dt.slug %}"><span class="badge badge-dark badge-sm rounded-pill text-uppercase px-2 py-1 me-1">#{{dt.name}}</span></a>
											{% endfor %}
											{% else %}
											<span>Belum Ada Tags Yang Ditampilkan</span>
											{% endif %}
										</div>
									</div>
								</aside>
							</div>

						</div>
					</div>
				</section>

				<section class="section section-height-3 bg-color-light position-relative border-0 m-0">
					<div class="container position-relative z-index-1 pt-0 pb-0 mt-3 mb-0">
					</div>
				</section>

			</div> 

{% endblock main %}